DS_CAN_TRANSFER_PACKET_AS_BLOCK(3)

FUNCTION
ds_can_transfer_packet_as_block - Test if a packet can be transferred in one block.

SYNOPSIS
#include <karma_ds.h>

flag ds_can_transfer_packet_as_block

(CONST packet_desc *pack_desc)

DESCRIPTION
This routine will determine if a packet can be transferred as a single block of data (i.e. no conversion between host and network format is needed).

pack_desc
    A pointer to the packet descriptor.

RETURN VALUE
TRUE if the packet may be transferred as a single block, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/